For a deeper look into our Elektron API, look into:

Overview |  Quickstart |  Documentation |  Downloads |  Tutorials |  Articles

question

Upvotes
Accepted
13 6 5 4

Error with websocket connection to the Elektron feed

I run the following code https://github.com/Refinitiv/websocket-api/blob/master/Applications/Examples/python/market_price_authentication.py , in two different IDE (Pycharm and Jupyter). In Pycharm it is perfectly working, however Jupyter it gives an error

---------------------------------------------------------------------------
GetoptError                               Traceback (most recent call last)
<ipython-input-78-def805078e55> in <module>
    346                                    ["help", "hostname=", "port=", "app_id=", "user=", "clientid=", "password=",
--> 347                                     "newPassword=", "position=", "auth_url=", "scope=", "ric=", "service="])
    348     except getopt.GetoptError:

C:\Program Files\Anaconda3\lib\getopt.py in getopt(args, shortopts, longopts)
     94         else:
---> 95             opts, args = do_shorts(opts, args[0][1:], shortopts, args[1:])
     96 
C:\Program Files\Anaconda3\lib\getopt.py in do_shorts(opts, optstring, shortopts, args)
    194         opt, optstring = optstring[0], optstring[1:]
--> 195         if short_has_arg(opt, shortopts):
    196             if optstring == '':

C:\Program Files\Anaconda3\lib\getopt.py in short_has_arg(opt, shortopts)
    210             return shortopts.startswith(':', i+1)
--> 211     raise GetoptError(_('option -%s not recognized') % opt, opt)
    212 
GetoptError: option -f not recognized 
During handling of the above exception, another exception occurred: 
SystemExit                                Traceback (most recent call last)
<ipython-input-78-def805078e55> in <module>
    350               '[--user user] [--clientid clientid] [--password password] [--newPassword new_password] [--position position] [--auth_url auth_url] '
    351               '[--scope scope] [--ric ric] [--service service] [--help]')
--> 352         sys.exit(2)
    353     for opt, arg in opts:
    354         if opt in "--help":

SystemExit: 2

Could you tell how to solve this problem?

eikon-data-apipythonrefinitiv-realtimetreprdp-apiwebsocketsrrto
icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

1 Answer

Upvotes
Accepted
15.1k 28 8 12

Hello @g.suhharukov

I can replicate the issue with the market_price.py in Jupyter Notebook environment (as .ipynb file). The notebook application encounters the issue in the same place. It seems there is a problem between Python's getopt module when running it in IPython/Notebook environment.

If I comment on an entire "# Get command line parameters" section and set all required parameters, the notebook application work fine.


ws-1.png (15.3 KiB)
ws-2.png (48.3 KiB)
icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.